Jump to content

Blesta 4.0 Beta In April?


Doctrine
 Share

Recommended Posts

Hello,

 

I have to send now a very important email to my clients as i use multi company not so easy export emails from phpmyadmin. (impossible now) Is there any chance to be there this month the 4.0 Beta?

 

I really interested about the mass mail plugin.

 

Or there any chance to get this plugin earlier? I have to send the emails this month.

 

Thanks

Peter

Link to comment
Share on other sites

There is third party mass e-mail plugin you can use now,it is not future rich and if you want change something you need to edit files but on default settings it work and will send e-mails to your clients,if you don't have huge user base than you can just install and use it.Only issue can be multi company...if you don't want mail all users...

Link to comment
Share on other sites

The 4.0 still have 2 public sprints and a few private tasks I dowt they would get that all done in less than 25 days (plus weekends they are closed), the mass mailer only works on 4.0 as it needs changes to the core so that answers your next question.

Why not do it the way people do it now? Use the report feature (Billing > Reports > Custom reports) and then use that XML for Mailchimp etc.

SELECT contacts.client_id, contacts.first_name, contacts.last_name, contacts.email, contacts.address1, contacts.city, contacts.zip, contacts.country
FROM contacts
ORDER BY contacts.client_id;
Link to comment
Share on other sites

 

The 4.0 still have 2 public sprints and a few private tasks I dowt they would get that all done in less than 25 days (plus weekends they are closed), the mass mailer only works on 4.0 as it needs changes to the core so that answers your next question.

Why not do it the way people do it now? Use the report feature (Billing > Reports > Custom reports) and then use that XML for Mailchimp etc.

SELECT contacts.client_id, contacts.first_name, contacts.last_name, contacts.email, contacts.address1, contacts.city, contacts.zip, contacts.country
FROM contacts
ORDER BY contacts.client_id;

 

Well for me a lots of work to update to 4.0 from 3.5 as the Hungarian side a bit complicated.

--------

 

This custom report working but you know i got multi-company and only want to send mail to one of my company. Any solution for that :)?

 

Thank you!

Link to comment
Share on other sites

Well for me a lots of work to update to 4.0 from 3.5 as the Hungarian side a bit complicated.

--------

 

This custom report working but you know i got multi-company and only want to send mail to one of my company. Any solution for that :)?

 

Thank you!

 

 

you can custumize the query to fetch only the client that has the company_id = X .

Link to comment
Share on other sites

  • 2 months later...

The query below will allow you to pick a company - in my case there is a 1 if you wanted a different one you just need to match the ID to the company ID

SELECT contacts.client_id, contacts.first_name, contacts.last_name, contacts.email, contacts.address1, contacts.city, contacts.zip, contacts.country
FROM contacts
WHERE contacts.client_id in (
SELECT clients.id
FROM client_groups LEFT JOIN clients ON clients.client_group_id = client_groups.id
WHERE client_groups.company_id = '1'
)
ORDER BY contacts.client_id;

I have tested in mysql - looks to work okay - let me know if you have any issues.

Link to comment
Share on other sites

The query below will allow you to pick a company - in my case there is a 1 if you wanted a different one you just need to match the ID to the company ID

SELECT contacts.client_id, contacts.first_name, contacts.last_name, contacts.email, contacts.address1, contacts.city, contacts.zip, contacts.country
FROM contacts
WHERE contacts.client_id in (
SELECT clients.id
FROM client_groups LEFT JOIN clients ON clients.client_group_id = client_groups.id
WHERE client_groups.company_id = '1'
)
ORDER BY contacts.client_id;

I have tested in mysql - looks to work okay - let me know if you have any issues.

 

 

Awesome merci mate.

You can do this however:

SELECT contacts.client_id, contacts.first_name, contacts.last_name, contacts.email, contacts.address1, contacts.city, contacts.zip, contacts.country
FROM contacts
WHERE contacts.client_id in (
SELECT clients.id
FROM client_groups LEFT JOIN clients ON clients.client_group_id = client_groups.id
WHERE client_groups.company_id = ':chosen_id'
)
ORDER BY contacts.client_id;

post-38-0-05276800-1466631765_thumb.png

 

post-38-0-98434700-1466631847_thumb.png

Link to comment
Share on other sites

So Paul could I ask then would it be possible for you to release a dev build soon so developers could upgrade their modules & plugins & etc to support blesta v4.0? as I got one client(cloudrck) who wanted to make sure my opennebula module was compatible with v4 changes I am not asking you to rush or anything just need to know what changes if any I have to do to my module & plugins to make them compatible with blesta v4?

as every other developer would probably like to know the same on what changes they have to do to get their modules/plugins up to date as well to support blesta v4.

Link to comment
Share on other sites

So Paul could I ask then would it be possible for you to release a dev build soon so developers could upgrade their modules & plugins & etc to support blesta v4.0? as I got one client(cloudrck) who wanted to make sure my opennebula module was compatible with v4 changes I am not asking you to rush or anything just need to know what changes if any I have to do to my module & plugins to make them compatible with blesta v4?

as every other developer would probably like to know the same on what changes they have to do to get their modules/plugins up to date as well to support blesta v4.

Also good for end Blesta users to see what third plugins to keep or trash :)

Link to comment
Share on other sites

Hello Paul I see there is core module functions changed, are we as developers going to get some documentation to update our modules/plugins to support blesta v4 release? since I just seen the release notes for v4 and it seems there is going to be changes in the module_row function which would possibly make most of the custom modules possibly not work on v4 until they are updated to support v4 and the changes in v4, which I would like to be able to patch the changes to work with v4 before it gets released? and if you want to to download the special dev release you have to have a active dev license in the blesta official portal(I guess since I don't think you would want anyone else access to it until you are ready for release?) again this is your decision paul on how you would like to do this but with everyone excited for v4 people are going to ask for compatibility with v4 for custom third party modules/plugins 

Link to comment
Share on other sites

Hello Paul I see there is core module functions changed, are we as developers going to get some documentation to update our modules/plugins to support blesta v4 release? since I just seen the release notes for v4 and it seems there is going to be changes in the module_row function which would possibly make most of the custom modules possibly not work on v4 until they are updated to support v4 and the changes in v4, which I would like to be able to patch the changes to work with v4 before it gets released? and if you want to to download the special dev release you have to have a active dev license in the blesta official portal(I guess since I don't think you would want anyone else access to it until you are ready for release?) again this is your decision paul on how you would like to do this but with everyone excited for v4 people are going to ask for compatibility with v4 for custom third party modules/plugins

Something like closed Alpha...available to active developers.

I think this would be good for blesta since some third party plugins are without officially counterpart and in same time so important for huge number of users.

Link to comment
Share on other sites

We can't do without our third party plugins. I would like to see more support from them also. How many times I have contacted for support is absurd. If the third party plugins are posting here on the forums can I say .. please please keep it up-to-date with the Blesta versions, otherwise contact the moderators and remove the threads or at least edit your first post for all to see. Myself being a beginner depends on third party plugins to work well.

Link to comment
Share on other sites

  • 2 weeks later...

The goal is v4 beta this month, but we still have some work ahead of us. No official ETA, but also not a good idea to use beta 1 in production. Running a report and using another mailer is the best way to go for now. Maybe Cody or Tyson can chime in with the proper query you can use.

Hi Paul,

 

Just wondering what the current status is on 4.0. It currently shows you have 12 tasks left (probably excluding hidden).

 

Just so I can plan ahead, when can we expect a beta now?

 

Thank you!  :blesta:

Link to comment
Share on other sites

Hi Paul,

 

Just wondering what the current status is on 4.0. It currently shows you have 12 tasks left (probably excluding hidden).

 

Just so I can plan ahead, when can we expect a beta now?

 

Thank you!  :blesta:

 

There's 2 or 3 that actually need to get done for beta. We're working on it, will be done soon. Updating minPHP and a couple other tasks were really involved, and required some refactoring and creation of new libraries. So, taking longer than expected, but almost there :)

Link to comment
Share on other sites

There's 2 or 3 that actually need to get done for beta. We're working on it, will be done soon. Updating minPHP and a couple other tasks were really involved, and required some refactoring and creation of new libraries. So, taking longer than expected, but almost there :)

Oh, cool!

 

One other question: I remember you saying somewhere that you are going to raise the minimum PHP requirements, but will you be supporting 5.6 or 7.0? Not sure what you are supporting right now, but I am guessing only up to 5.5?

 

Thank you

Link to comment
Share on other sites

Oh, cool!

 

One other question: I remember you saying somewhere that you are going to raise the minimum PHP requirements, but will you be supporting 5.6 or 7.0? Not sure what you are supporting right now, but I am guessing only up to 5.5?

 

Thank you

 

 

5.6 is currently supported:

[[email protected] ~]# php -v
PHP 5.6.23 (cli) (built: Jun 22 2016 08:56:52) 
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.1.2, Copyright (c) 2002-2016, by ionCube Ltd.
[[email protected] ~]# 

7.0 the ioncube guys need to fix something in the beta first.

Link to comment
Share on other sites

5.6 is currently supported:

[[email protected] ~]# php -v
PHP 5.6.23 (cli) (built: Jun 22 2016 08:56:52) 
Copyright (c) 1997-2016 The PHP Group
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.1.2, Copyright (c) 2002-2016, by ionCube Ltd.
[[email protected] ~]# 

7.0 the ioncube guys need to fix something in the beta first.

Good to know. Do you have to apply the 5.5 hotfix for it to be compatible with 5.6?

 

When I saw '5.5 hotfix' I just assumed 5.6 was not supported yet.

 

I was looking at the PHP site today and got a good laugh, because 5.6 is going to have support longer than 7.0 when it comes to security updates. As long as I can get it to work on 5.6 I will be one happy person  :blesta:

Link to comment
Share on other sites

Good to know. Do you have to apply the 5.5 hotfix for it to be compatible with 5.6?

 

When I saw '5.5 hotfix' I just assumed 5.6 was not supported yet.

 

I was looking at the PHP site today and got a good laugh, because 5.6 is going to have support longer than 7.0 when it comes to security updates. As long as I can get it to work on 5.6 I will be one happy person  :blesta:

 

 

Correct.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...